# vim: set ts=4 sw=4 et:
# Copyright (c) 2012 Dominique Leuenberger <dimstar@opensuse.org>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Summary:        LIVE555 Streaming Media Utilities
Name:           live555	
# bumped to +1 for now to force an upgrade, as it re-provides live555 as a package
# again, after live555 being obsoleted and provided by live555-devel
Version:        2012.05.17
Release:        1.1
Source:         http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
Patch0:         %{name}-fpic.patch
License:        LGPL-2.1
Url:            http://www.live555.com/liveMedia/
Group:          Productivity/Multimedia/Sound/Utilities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%description
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These libraries 
can be used to build streaming applications

%package devel
Summary:        LIVE555 Streaming Media
Group:          Development/Languages/C and C++
Provides:       %{name}-devel-with_synchronous_interface = %{version}

%description devel
This code forms a set of C++ libraries for multimedia streaming,
using open standard protocols (RTP/RTCP, RTSP, SIP). These libraries
can be used to build streaming applications

%prep
%setup -q -n live
%__chmod 0644 config.*
%patch0 -p1

%build 
./genMakefiles linux
%__make %{?_smp_mflags} OPTFLAGS="%{optflags} -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1"

%install
install -d -m 755 %{buildroot}%{_libdir}/live
install -d -m 755 %{buildroot}%{_includedir}
find . -type f -name "*.a" -exec install {} %{buildroot}%{_libdir}/live \;
for fld in liveMedia groupsock BasicUsageEnvironment UsageEnvironment; do
  install -d -m 755 %{buildroot}%{_includedir}/$fld
  cp -rL $fld/include/* %{buildroot}%{_includedir}/$fld
done

%__chmod 0644 "%{buildroot}%{_libdir}/live"/*.a

%__install -d "%{buildroot}%{_bindir}"
find testProgs/ -type f -executable \! -name 'test*' | while read f; do
    %__install -m0755 "$f" "%{buildroot}%{_bindir}/"
done

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/sapWatch
%{_bindir}/vobStreamer

%files devel
%defattr(-,root,root)
%{_libdir}/live/
%{_includedir}/liveMedia/
%{_includedir}/groupsock/
%{_includedir}/BasicUsageEnvironment/
%{_includedir}/UsageEnvironment/

%changelog
* Sat Sep  1 2012 cs@linux-administrator.com
- re-import
